import { c as cyan } from '../shared/cli.1da5a031.mjs';
import { s as showHelp } from '../shared/cli.207455da.mjs';
import { d as defineRemixCommand, c as commands } from '../shared/cli.d1d97f34.mjs';
import 'tty';

const usage = defineRemixCommand({
  meta: {
    name: "help",
    usage: "remix help",
    description: "Show help"
  },
  invoke(_args) {
    const sections = [];
    sections.push(
      `Usage: ${cyan(`npx remix ${Object.keys(commands).join("|")} [args]`)}`
    );
    console.log(sections.join("\n\n") + "\n");
    showHelp({});
  }
});

export { usage as default };
